# Sensible ## Docs - [Try asynchronous extraction from your URL](https://sensible.mintlify.app/api-guides/api-tutorial/api-tutorial-async-1.md) - [Try asynchronous extraction from a Sensible URL](https://sensible.mintlify.app/api-guides/api-tutorial/api-tutorial-async-2.md) - [Try synchronous extraction](https://sensible.mintlify.app/api-guides/api-tutorial/api-tutorial-sync.md) - [Try a webhook](https://sensible.mintlify.app/api-guides/api-tutorial/api-tutorial-webhook.md) - [API tutorial](https://sensible.mintlify.app/api-guides/api-tutorial/index-api-tutorial.md) - [Code examples](https://sensible.mintlify.app/api-guides/examples.md) - [Authentication](https://sensible.mintlify.app/api-reference/authentication.md) - [Introduction](https://sensible.mintlify.app/api-reference/choosing-an-endpoint.md) - [Classify document by type](https://sensible.mintlify.app/api-reference/classification/document/classify-document.md): Score a document's similarity to each document type you defined in your Sensible account and to each reference document in the highest-scoring type. To retrieve the scores, poll the `download_link` in this endpoint's response until it returns a non-error response. This endpoint is asynchronous. For… - [Classify document by type (sync)](https://sensible.mintlify.app/api-reference/classification/document/classify-document-sync.md): **Note:** Use this Classify endpoint for testing. Use the asynchronous Classify endpoint for production. - [Create configuration in a document type](https://sensible.mintlify.app/api-reference/configuration/configuration/create-configuration.md): Pass the configuration as stringified JSON. - [Delete configuration](https://sensible.mintlify.app/api-reference/configuration/configuration/delete-configuration.md): Delete a configuration and its versions. - [Delete draft or unpublish configuration](https://sensible.mintlify.app/api-reference/configuration/configuration/delete-configuration-by-version.md): To delete a draft, specify a version name in the `version` parameter. To unpublish a configuration, enter the publication environment name in the `version` parameter, for example, `development`. - [Get configuration](https://sensible.mintlify.app/api-reference/configuration/configuration/get-configuration.md): Get a configuration as stringified JSON. - [Get configuration by version](https://sensible.mintlify.app/api-reference/configuration/configuration/get-configuration-by-version.md): Get a configuration as stringified JSON by version id. - [List versions for a configuration](https://sensible.mintlify.app/api-reference/configuration/configuration/get-configuration-versions.md): Get the version ids for a configuration. - [List configurations in a document type](https://sensible.mintlify.app/api-reference/configuration/configuration/list-configurations.md): List configurations in a document type. - [Publish configuration to an environment](https://sensible.mintlify.app/api-reference/configuration/configuration/publish-configuration-by-version.md): To publish to an environment instead of as the current draft, the configuration must be valid according to this [schema](https://schema.sensible.so/configuration.schema.json). - [Update configuration](https://sensible.mintlify.app/api-reference/configuration/configuration/update-configuration.md): Replace a published or draft version of the configuration. - [Create document type](https://sensible.mintlify.app/api-reference/configuration/document-type/create-document-type.md): Create a document type. - [Delete document type](https://sensible.mintlify.app/api-reference/configuration/document-type/delete-document-type.md): Delete a document type and everything it contains, for example configurations and reference PDfs, but not its extraction history displayed in the Sensible app. - [Get document type](https://sensible.mintlify.app/api-reference/configuration/document-type/get-document-type.md): Find the document type id using the `/document_types` endpoint. - [List document types for this account](https://sensible.mintlify.app/api-reference/configuration/document-type/list-document-types.md): List all document types for this account. - [Update document type](https://sensible.mintlify.app/api-reference/configuration/document-type/update-document-type.md): Update an existing document type with new information. For example, use this endpoint to add validations: - [Create reference document](https://sensible.mintlify.app/api-reference/configuration/reference-document/create-reference-document.md): Specify document metadata in the request, and get back an `upload_url` at which to put the PDF, for example with `curl -T ./sample.pdf`. - [Delete reference document](https://sensible.mintlify.app/api-reference/configuration/reference-document/delete-reference-document.md): Delete a reference document and break associations to any configs. - [Unassociate reference document from configuration](https://sensible.mintlify.app/api-reference/configuration/reference-document/delete-reference-document-association.md): Break the association between a reference document and its configuration. - [Extract all text from reference document](https://sensible.mintlify.app/api-reference/configuration/reference-document/extract-all-text-from-reference-document.md): Get all the text (lines) for a reference document as standardized output. The output is an array of pages with metadata such as text positioning. If you specify a configuration, Sensible uses preprocessors defined in the configuration to process the text. - [Get reference document metadata](https://sensible.mintlify.app/api-reference/configuration/reference-document/get-reference-document.md): Get download URL and other metadata for a reference document. - [List all reference documents in a document type](https://sensible.mintlify.app/api-reference/configuration/reference-document/list-reference-documents.md): List all reference documents in a document type - [Update metadata for a reference document](https://sensible.mintlify.app/api-reference/configuration/reference-document/update-reference-document.md): Update metadata for a reference document - [Extract data from a document (sync)](https://sensible.mintlify.app/api-reference/extraction/document/extract-data-from-a-document.md): **Note:** Use this endpoint for testing. Use the asynchronous extraction endpoints for production. - [Extract data from a document using specified config](https://sensible.mintlify.app/api-reference/extraction/document/extract-data-from-a-document-with-config.md): This endpoint's behavior identical to the [Extract data from a document](ref:extract-data-from-a-document) endpoint's behavior, except that Sensible uses the specified config to extract data from the document instead of automatically choosing the best-scoring extraction in the document type. - [Extract doc at your URL](https://sensible.mintlify.app/api-reference/extraction/document/extract-from-url.md): Extract data asynchronously from a document at the specified `document_url`.
For supported file size and types, see [Supported file types](https://sensible.mintlify.app/.app/senseml-reference/concepts/file-types). Take the following steps. 1. Run this endpoint. 3. To retrieve the extraction, us… - [Extract doc at your URL using config](https://sensible.mintlify.app/api-reference/extraction/document/generate-an-upload-url-with-config.md): This endpoint's behavior is identical to the [Extract doc at your URL](ref:extract-from-url) endpoint's behavior, except that Sensible uses the specified config to extract data from the document instead of automatically choosing the best-scoring extraction in the document type. - [Extract doc at a Sensible URL](https://sensible.mintlify.app/api-reference/extraction/document/generate-upload-url.md): Extract data asynchronously from a document with the following steps: 1. Use this endpoint to generate a Sensible URL. 2. PUT your document at the `upload_url` returned from the previous step. Sensible extracts data from the document. 3. To retrieve the extraction, use a webhook, or use the ex… - [Extract doc at a Sensible URL using specified config](https://sensible.mintlify.app/api-reference/extraction/document/provide-a-download-url-with-config.md): This endpoint's behavior is identical to the [Extract doc at a Sensible URL](ref:generate-upload-url) endpoint's behavior, except that Sensible uses the specified config to extract data from the document instead of automatically choosing the best-scoring extraction in the document type. - [Get CSV extraction](https://sensible.mintlify.app/api-reference/extraction/get-excel-from-documents/get-csv-extraction.md): You can use this endpoint to get CSV files from documents, for example, from PDFs. In more detail, this endpoint converts your JSON document extraction to a comma-separated values. To compile multiple documents into one CSV file, specify the IDs of their recent extractions in the request separated b… - [Get Excel extraction](https://sensible.mintlify.app/api-reference/extraction/get-excel-from-documents/get-excel-extraction.md): You can use this endpoint to get Excel files from documents, for example from PDFs. In more detail, this endpoint converts your JSON document extraction to an Excel spreadsheet. To compile multiple documents into one Excel file, specify the IDs of their recent extractions in the request separated by… - [Extract portfolio at your URL](https://sensible.mintlify.app/api-reference/extraction/portfolio/extract-from-url-portfolio.md): Use this endpoint with multiple documents that are packaged into one file (a "portfolio"). For a list of supported file types, see [Supported file types](https://sensible.mintlify.app/.app/senseml-reference/concepts/file-types). Segments a portfolio file at the specified `document_url` into the spec… - [Extract portfolio at a Sensible URL](https://sensible.mintlify.app/api-reference/extraction/portfolio/generate-upload-url-portfolio.md): Use this endpoint with multiple documents that are packaged into one file (a "portfolio"). For a list of supported file types, see [Supported file types](https://sensible.mintlify.app/.app/senseml-reference/concepts/file-types). Segments a portfolio file into the specified document types (for exampl… - [List extractions](https://sensible.mintlify.app/api-reference/extraction/retrieve-extractions/list-extractions.md): Use this endpoint to get a filtered list of past extractions. This endpoint returns a summary for each extraction, listed in reverse chronological order. To get details about an extraction, use the [Retrieve extraction by ID](ref:retrieving-results) endpoint. This endpoint uses keyset pagination to… - [Retrieve extraction by ID](https://sensible.mintlify.app/api-reference/extraction/retrieve-extractions/retrieving-results.md): Use this endpoint in conjunction with asynchronous extraction requests to retrieve your results. You can also use this endpoint to retrieve the results for documents extractions from the synchronous /extract endpoint. To poll extraction status, check the `status` field in this endpoint's response. W… - [Get extraction statistics](https://sensible.mintlify.app/api-reference/extraction/retrieve-extractions/statistics.md): Returns daily extraction coverage statistics per config. Sensible returns coverage for each config that was used for at least one extraction performed in the production environment in the specified time period. For more information about coverage, see [Monitoring extractions](metrics). - [Qualifying LLM accuracy](https://sensible.mintlify.app/best-practices/confidence.md) - [Monitoring extractions](https://sensible.mintlify.app/best-practices/metrics.md) - [Troubleshooting LLM extractions](https://sensible.mintlify.app/best-practices/troubleshoot-llms.md) - [Using fallbacks](https://sensible.mintlify.app/best-practices/tutorials/fallbacks.md) - [Go-live checklist](https://sensible.mintlify.app/best-practices/tutorials/go-live.md) - [Extracting handwriting and OCR text](https://sensible.mintlify.app/best-practices/tutorials/handwriting.md) - [Tutorials](https://sensible.mintlify.app/best-practices/tutorials/index-tutorials.md) - [Optimizing extraction performance](https://sensible.mintlify.app/best-practices/tutorials/performance.md) - [Testing before integrating configs](https://sensible.mintlify.app/best-practices/tutorials/test-before-integrating-configs.md) - [Troubleshooting](https://sensible.mintlify.app/best-practices/tutorials/troubleshoot.md) - [Validating extractions](https://sensible.mintlify.app/best-practices/validate-extractions.md) - [April 2024](https://sensible.mintlify.app/changelog/april-2024.md) - [February 2024](https://sensible.mintlify.app/changelog/february-2024.md) - [January 2024](https://sensible.mintlify.app/changelog/january-2024.md) - [June 2024](https://sensible.mintlify.app/changelog/june-2024.md) - [March 2024](https://sensible.mintlify.app/changelog/march-2024.md) - [May 2024](https://sensible.mintlify.app/changelog/may-2024.md) - [Classifying documents by type](https://sensible.mintlify.app/document-type-classification/classify.md) - [SenseML to spreadsheet reference](https://sensible.mintlify.app/integrations/quick-extraction/excel-reference.md) - [Quick extraction](https://sensible.mintlify.app/integrations/quick-extraction/index-quick-extraction.md) - [API quickstart](https://sensible.mintlify.app/integrations/quickstart.md) - [SDK guides](https://sensible.mintlify.app/integrations/sdk-guides.md) - [Zapier overview](https://sensible.mintlify.app/integrations/zapier/index-zapier.md) - [Zapier tutorial](https://sensible.mintlify.app/integrations/zapier/zapier-getting-started.md) - [Advanced Zapier tutorial](https://sensible.mintlify.app/integrations/zapier/zapier-tutorial-2.md) - [Color coding](https://sensible.mintlify.app/layout-based-extractions/app-guide/color.md) - [App guide](https://sensible.mintlify.app/layout-based-extractions/app-guide/index-app-guide.md) - [Sensible walkthrough](https://sensible.mintlify.app/layout-based-extractions/app-guide/ui.md) - [Getting started with layout-based extractions](https://sensible.mintlify.app/layout-based-extractions/getting-started.md) - [Out-of-the-box extractions](https://sensible.mintlify.app/layout-based-extractions/library-quickstart.md) - [Multi-document extractions](https://sensible.mintlify.app/layout-based-extractions/portfolio.md) - [Repeating layouts](https://sensible.mintlify.app/layout-based-extractions/repeat-layouts.md) - [Advanced prompt configuration](https://sensible.mintlify.app/llm-based-extractions/prompt.md) - [Prompt tips](https://sensible.mintlify.app/llm-based-extractions/prompt-tips/index-prompt-tips.md) - [List tips](https://sensible.mintlify.app/llm-based-extractions/prompt-tips/list-tips.md) - [Query group extraction tips](https://sensible.mintlify.app/llm-based-extractions/prompt-tips/query-group-tips.md) - [NLP table extraction tips](https://sensible.mintlify.app/llm-based-extractions/prompt-tips/table-tips.md) - [Add computed fields](https://sensible.mintlify.app/senseml-reference/advanced-computed-field-methods/add-computed-fields.md) - [Copy from sections](https://sensible.mintlify.app/senseml-reference/advanced-computed-field-methods/copy-from-sections.md) - [Copy to section](https://sensible.mintlify.app/senseml-reference/advanced-computed-field-methods/copy-to-section.md) - [Custom computation](https://sensible.mintlify.app/senseml-reference/advanced-computed-field-methods/custom-computation.md) - [Get file metadata](https://sensible.mintlify.app/senseml-reference/advanced-computed-field-methods/get-file-metadata.md) - [Advanced computed field methods](https://sensible.mintlify.app/senseml-reference/advanced-computed-field-methods/index-advanced-computed-field-methods.md) - [Concatenate](https://sensible.mintlify.app/senseml-reference/computed-field-methods/concatenate.md) - [Constant](https://sensible.mintlify.app/senseml-reference/computed-field-methods/constant.md) - [Computed field methods](https://sensible.mintlify.app/senseml-reference/computed-field-methods/index-computed-field-methods.md) - [Mapper](https://sensible.mintlify.app/senseml-reference/computed-field-methods/mapper.md) - [Pick values](https://sensible.mintlify.app/senseml-reference/computed-field-methods/pick-values.md) - [Split](https://sensible.mintlify.app/senseml-reference/computed-field-methods/split.md) - [Suppress output](https://sensible.mintlify.app/senseml-reference/computed-field-methods/suppress-output.md) - [Zip](https://sensible.mintlify.app/senseml-reference/computed-field-methods/zip.md) - [Accuracy measures](https://sensible.mintlify.app/senseml-reference/concepts/accuracy-measures.md) - [Anchor nuances](https://sensible.mintlify.app/senseml-reference/concepts/anchor-nuances.md) - [Bag of words](https://sensible.mintlify.app/senseml-reference/concepts/bag-of-words.md) - [Extraction coverage](https://sensible.mintlify.app/senseml-reference/concepts/coverage.md) - [Field extraction order](https://sensible.mintlify.app/senseml-reference/concepts/field-order.md) - [Supported file types](https://sensible.mintlify.app/senseml-reference/concepts/file-types.md) - [Concepts](https://sensible.mintlify.app/senseml-reference/concepts/index-concepts.md) - [Ligatures](https://sensible.mintlify.app/senseml-reference/concepts/ligatures.md) - [Lines](https://sensible.mintlify.app/senseml-reference/concepts/lines.md) - [Match arrays](https://sensible.mintlify.app/senseml-reference/concepts/match-arrays.md) - [OCR](https://sensible.mintlify.app/senseml-reference/concepts/ocr.md) - [Section nuances](https://sensible.mintlify.app/senseml-reference/concepts/section-nuances.md) - [SenseML](https://sensible.mintlify.app/senseml-reference/concepts/senseml.md) - [Choosing a Table method](https://sensible.mintlify.app/senseml-reference/concepts/table-methods.md) - [Fingerprint](https://sensible.mintlify.app/senseml-reference/config-settings/fingerprint.md) - [Config settings](https://sensible.mintlify.app/senseml-reference/config-settings/index-config-settings.md) - [Verbosity](https://sensible.mintlify.app/senseml-reference/config-settings/verbosity.md) - [Fingerprint mode](https://sensible.mintlify.app/senseml-reference/document-type-settings/fingerprint-mode.md) - [Document type settings](https://sensible.mintlify.app/senseml-reference/document-type-settings/index-document-type-settings.md) - [OCR engine](https://sensible.mintlify.app/senseml-reference/document-type-settings/ocr-engine.md) - [OCR level](https://sensible.mintlify.app/senseml-reference/document-type-settings/ocr-level.md) - [Anchor object](https://sensible.mintlify.app/senseml-reference/field-query-object/anchor.md) - [Field query object](https://sensible.mintlify.app/senseml-reference/field-query-object/index-field-query-object.md) - [Match object](https://sensible.mintlify.app/senseml-reference/field-query-object/match.md) - [Method object](https://sensible.mintlify.app/senseml-reference/field-query-object/method.md) - [Types](https://sensible.mintlify.app/senseml-reference/field-query-object/types.md) - [LLM-based methods](https://sensible.mintlify.app/senseml-reference/llm-based-methods/index-llm-based-methods.md) - [List](https://sensible.mintlify.app/senseml-reference/llm-based-methods/list.md) - [NLP table](https://sensible.mintlify.app/senseml-reference/llm-based-methods/nlp-table.md) - [Query group](https://sensible.mintlify.app/senseml-reference/llm-based-methods/query-group.md) - [Summarizer](https://sensible.mintlify.app/senseml-reference/llm-based-methods/summarizer.md) - [Box](https://sensible.mintlify.app/senseml-reference/methods/box.md) - [Checkbox](https://sensible.mintlify.app/senseml-reference/methods/checkbox.md) - [Column](https://sensible.mintlify.app/senseml-reference/methods/column.md) - [Document range](https://sensible.mintlify.app/senseml-reference/methods/document-range.md) - [Fixed table](https://sensible.mintlify.app/senseml-reference/methods/fixed-table.md) - [Methods](https://sensible.mintlify.app/senseml-reference/methods/index-methods.md) - [Intersection](https://sensible.mintlify.app/senseml-reference/methods/intersection.md) - [Label](https://sensible.mintlify.app/senseml-reference/methods/label.md) - [Nearest checkbox](https://sensible.mintlify.app/senseml-reference/methods/nearest-checkbox.md) - [Paragraph](https://sensible.mintlify.app/senseml-reference/methods/paragraph.md) - [Passthrough](https://sensible.mintlify.app/senseml-reference/methods/passthrough.md) - [Regex](https://sensible.mintlify.app/senseml-reference/methods/regex.md) - [Region](https://sensible.mintlify.app/senseml-reference/methods/region.md) - [Row](https://sensible.mintlify.app/senseml-reference/methods/row.md) - [Signature](https://sensible.mintlify.app/senseml-reference/methods/signature.md) - [Text Table](https://sensible.mintlify.app/senseml-reference/methods/text-table.md) - [Deskew](https://sensible.mintlify.app/senseml-reference/preprocessors/deskew.md) - [Preprocessors](https://sensible.mintlify.app/senseml-reference/preprocessors/index-preprocessors.md) - [Ligature](https://sensible.mintlify.app/senseml-reference/preprocessors/ligature.md) - [Merge lines](https://sensible.mintlify.app/senseml-reference/preprocessors/merge-lines.md) - [NLP](https://sensible.mintlify.app/senseml-reference/preprocessors/nlp.md) - [OCR preprocessor](https://sensible.mintlify.app/senseml-reference/preprocessors/ocr-preprocessor.md) - [Page range](https://sensible.mintlify.app/senseml-reference/preprocessors/page-range.md) - [Remove footer](https://sensible.mintlify.app/senseml-reference/preprocessors/remove-footer.md) - [Remove header](https://sensible.mintlify.app/senseml-reference/preprocessors/remove-header.md) - [Rotate page](https://sensible.mintlify.app/senseml-reference/preprocessors/rotate-page.md) - [Scale](https://sensible.mintlify.app/senseml-reference/preprocessors/scale.md) - [Split lines](https://sensible.mintlify.app/senseml-reference/preprocessors/split-lines.md) - [Sections](https://sensible.mintlify.app/senseml-reference/sections/index-sections.md) - [Advanced: Zip and flatten nested sections](https://sensible.mintlify.app/senseml-reference/sections/sections-example-copy-from-sections.md) - [Advanced: Transform sections data](https://sensible.mintlify.app/senseml-reference/sections/sections-example-copy-to-section.md) - [Advanced: External anchors for sections](https://sensible.mintlify.app/senseml-reference/sections/sections-example-external-range.md) - [Labeled rows example](https://sensible.mintlify.app/senseml-reference/sections/sections-example-labeled-rows.md) - [Claims loss run example](https://sensible.mintlify.app/senseml-reference/sections/sections-example-loss-run.md) - [Advanced: nested columns example](https://sensible.mintlify.app/senseml-reference/sections/sections-example-nested-columns.md) - [Advanced: nested table example](https://sensible.mintlify.app/senseml-reference/sections/sections-example-nested-table.md) - [Advanced: Table grid example](https://sensible.mintlify.app/senseml-reference/sections/sections-example-table-grid.md) - [Advanced: Zip sections](https://sensible.mintlify.app/senseml-reference/sections/sections-example-zip.md) - [SenseML reference introduction](https://sensible.mintlify.app/senseml-reference/senseml-reference-introduction.md) - [Choosing an extraction approach](https://sensible.mintlify.app/welcome/author.md) - [Getting started](https://sensible.mintlify.app/welcome/getting-started-ai.md) - [Integrating](https://sensible.mintlify.app/welcome/integrate.md) ## OpenAPI Specs - [openapi_docgen](https://sensible.mintlify.app/openapi_docgen.yml) - [openapi](https://sensible.mintlify.app/openapi.yml) - [openapi_classification](https://sensible.mintlify.app/openapi_classification.yml) - [openapi_extraction](https://sensible.mintlify.app/openapi_extraction.yml) ## Optional - [Tutorials](https://www.sensible.so/learn) - [API Status](https://sensible.statuspage.io/) - [Blog](https://www.sensible.so/blog)